#include "stdafx.h"
#include "BridgeNotifications.h"

static TCHAR TypeStrings[][100] = {
	L"Event",
	L"User",
	L"Group",
	L"Location",
	L"System"
};

static TCHAR ReasonStrings[][100] = {
	L"LogOff",
	L"LogOn",
	L"Idle",
	L"Active",
	L"Away",
	L"Back",
	L"LoggedOnElsewhere",
	L"ServerShutdown",
	L"Add",
	L"Remove",
	L"Subscribe",
	L"Unsubscribe",
	L"Move",
	L"Modified",
	L"Alive",
	L"Privacy",
	L"Permission"
};

TCHAR * GetReasonString(int reason)
{
	if(reason<0 || reason>=bcLastReason){
		return L"Unknown";
	} else
		return ReasonStrings[reason];
}

TCHAR * GetTypeString(int type)
{
	if(type<0 || type>=bcLastType){
		return L"Unknown";
	} else
		return TypeStrings[type];
}
